.file-field {
    font-size: 0;
    line-height: 0;
    display: block;
    cursor: pointer;
    font-weight: 500;
    position: relative;

    input {
        top: 0;
        left: 0;
        width: 0;
        height: 0;
        opacity: 0;
        visibility: hidden;
        position: absolute;
    }

    &__button {
        height: rem(56);
        font-style: normal;
        padding-left: rem(56);
        padding-right: rem(30);
        background: #1D1E20;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__label {
        max-width: 100%;
        display: block;
        flex-grow: 1;
        color: $white;
        overflow: hidden;
        text-overflow: ellipsis;
        font-size: rem(16);
        line-height: rem(20);

        &:after {
            content: attr(data-file-label);
        }
    }

    &__arrow {
        height: 13px;
        flex-shrink: 0;
        display: inline-block;
    }

    &__icon {
        left: 30px;
        top: calc(50% - 5px);
        width: 10px;
        height: 10px;
        display: block;
        position: absolute;

        &:after,
        &:before {
            z-index: 1;
            top: calc(50% - 1px);
            left: calc(50% - 5px);
            content: '';
            width: 10px;
            height: 2px;
            position: absolute;
            background: $white;
        }

        &:after {
            transform: rotate(90deg);
        }
    }
}
